package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.KetersediaanTempatTidurVO;

public interface KetersediaanTempatTidurService {

	Map<String, Object> countDataKetersediaanTempatTidur();

	Map<String, Object> getDataKetersediaanTempatTidur(KetersediaanTempatTidurVO vo);

	Map<String, Object> getTempatTidurByKamarAndKelas(Integer idKamar, Integer idKelas);

	Map<String, Object> countTempatTidurByKamarAndKelas(Integer idKamar, Integer idKelas);

	Map<String, Object> getRuanganRawatInap();

	Map<String, Object> getKamarByRuanganAndKelas(Integer idRuangan, Integer idKelas);

	Map<String, Object> getAllInformasiKetersediaanKamar();

	Map<String, Object> getKelasByRuangan(Integer idRuangan);
	
	List<Map<String, Object>> findAllActiveBed();
	
}
